Bug 1127623 - [AAA] Create user API fails in REST & Java - class cast exception
Summary: [AAA] Create user API fails in REST & Java - class cast exception
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Pavel Stehlik
URL:
Whiteboard: Infra
Depends On:
Blocks: 1073943 oVirt-AAA-rewrite 1129213
TreeView+ depends on / blocked
 
Reported: 2014-08-07 09:23 UTC by Nelly Credi
Modified: 2014-10-17 12:35 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:35:03 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31226 None ABANDONED restapi : Create user API fails in REST & Java Never
oVirt gerrit 31412 None ABANDONED extapi: Changing fetch principal to support principal Never
oVirt gerrit 31499 None None None Never
oVirt gerrit 31552 ovirt-engine-3.5 MERGED aaa: Fix add users Never
oVirt gerrit 31790 master MERGED extapi: Changing fetch principal to support principal Never
oVirt gerrit 32339 ovirt-engine-3.5 MERGED extapi: Changing fetch principal to support principal Never

Description Nelly Credi 2014-08-07 09:23:26 UTC
Description of problem:
Unable to add new user getting class cast exception

Version-Release number of selected component (if applicable):
3.5-rc1

How reproducible:
100%

Steps to Reproduce:
1.curl -v -u "user@domain:password" -H "Content-type: application/xml" -X POST -d '<user><domain><name>xxx</name></domain><user_name>xxx@xxx</user_name></user>' -k 'https://xxx/ovirt-engine/api/users'


Actual results:
< HTTP/1.1 400 Bad Request
< Date: Thu, 07 Aug 2014 09:19:46 GMT
< Content-Type: application/xml
< Content-Length: 267
< Vary: Accept-Encoding
< Connection: close
< 
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<fault>
    <reason>Operation Failed</reason>
    <detail>org.ovirt.engine.core.common.queries.searchparameters cannot be cast to org.ovirt.engine.core.common.queries.directorysearchparameters</detail>
</fault>


Expected results:
User should have been added

Additional info:

Comment 1 Alon Bar-Lev 2014-08-17 11:55:02 UTC
QA note:

please use ovirt-engine-extension-aaa-ldap per at least 20140814 (hash 1bdf2a09d).

Comment 2 Nelly Credi 2014-08-24 11:56:04 UTC
verified in ovirt-3.5.0_rc1.1

Comment 3 Sandro Bonazzola 2014-10-17 12:35:03 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.